Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.xml
Class ImportDaml.DamlRestriction

    java.lang.Object
      |
      +--org.opencyc.xml.ImportDaml.DamlRestriction

Enclosing class:
  ImportDaml

protected class ImportDaml.DamlRestriction
extends java.lang.Object

Records property use restrictions which get imported as Cyc interArgIsa1-2 or interArgFormat1-2 assertions.

Field Summary
`java.lang.String` | `anonymousId` Identifies all the RDF triples which contribute to this DAML Restriction.
`CycFort` | `fromClass` The domain (Cyc arg1) class whose intstances are the subject of the property.
`CycList` | `interArgFormatConstraint` the interArgFormat constraint sentence
`CycList` | `interArgIsaConstraint` the interArgIsa constraint sentence
`java.lang.Integer` | `maxCardinality` the maxCardinality restriction
`CycFort` | `property` The property (Cyc predicate arg0) which relates the subject and predicate instances.
`java.util.ArrayList` | `toClasses` The range (Cyc arg2) classes whose instances may be objects of the property in the cases where subject is an instance of the given fromClass.

Constructor Summary
`ImportDaml.DamlRestriction(ImportDaml importDaml)` Constructs a new DamlRestriction object.

Method Summary
`protected void` | `formInterArgConstraints()` Forms the restriction constraints.
`protected void` | `formInterArgFormatConstraint()` Forms the interArgFormat1-2 constraint.
`protected void` | `formInterArgIsaConstraint()` Forms the interArgIsa1-2 constraint.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### anonymousId

    public java.lang.String anonymousId

  Identifies all the RDF triples which contribute to this DAML Restriction.

### fromClass

    public CycFort fromClass

  The domain (Cyc arg1) class whose intstances are the subject of the property.

### property

    public CycFort property

  The property (Cyc predicate arg0) which relates the subject and predicate instances.

### toClasses

    public java.util.ArrayList toClasses

  The range (Cyc arg2) classes whose instances may be objects of the property in the cases where subject is an instance of the given fromClass.

### maxCardinality

    public java.lang.Integer maxCardinality

  the maxCardinality restriction

### interArgIsaConstraint

    public CycList interArgIsaConstraint

  the interArgIsa constraint sentence

### interArgFormatConstraint

    public CycList interArgFormatConstraint

  the interArgFormat constraint sentence

Constructor Detail

### ImportDaml.DamlRestriction

    public ImportDaml.DamlRestriction(ImportDaml importDaml)

  Constructs a new DamlRestriction object.

Method Detail

### formInterArgConstraints

    protected void formInterArgConstraints()
                                    throws java.io.IOException,
                                           java.net.UnknownHostException,
                                           CycApiException

  Forms the restriction constraints.

### formInterArgIsaConstraint

    protected void formInterArgIsaConstraint()
                                      throws java.io.IOException,
                                             java.net.UnknownHostException,
                                             CycApiException

  Forms the interArgIsa1-2 constraint.

### formInterArgFormatConstraint

    protected void formInterArgFormatConstraint()
                                         throws java.io.IOException,
                                                java.net.UnknownHostException,
                                                CycApiException

  Forms the interArgFormat1-2 constraint.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD